April 20, 2014

iOS 5.1 And New Basebands For iPhone 4 (4.12.01) And iPhone 4S (2.0.10), Everything You Need To Know

ios-5.1-iphone 4 baseband 4.12.01

Apple released their major iOS 5.1 update during the new iPad launch event at Yerba Buene Center of Arts San Francisco. Everyone including famous jailbreak developers were expecting iOS 5.1 GM version but Apple had a little surprise waiting for us. They release iOS 5.1 public update, we have already warned iPhone jailbreakers and unlockers to stay away from this update if they want to keep their untethered jailbreak and iPhone unlock. iPhone 4S and iPad 2 users who cannot live without jailbreaking should stay far far away from iOS 5.1 because you WON’T be able to downgrade your iOS firmware from iOS 5.1 to 5.0.1 or 5.0 even if you have your SHSH blobs saved.

This iOS update brings more challenges for  baseband unlockers and dev teams which are working on baseband unlocks. iOS 5 brought a baseband which is still unlocked, iPhone 4S owners on the other hand were lucky because they got a hardware unlock for iPhone 4S which was released in the form of interposer SIM. Major hardware unlocking labels like Gevey SIM, TP SIM and R-SIM released their respective iPhone 4S unlocking solutions. Like any other major iOS update — iOS 5.1 — also brings new baseband for both iPhone 4 and iPhone 4S. iPhone 4′s baseband has been updated to 4.12.01 and iPhone 4S’ baseband has been updated to 2.0.10. If you rely on unlock then you should know that there is NO unlock solution available for baseband 4.12.01.

How To Unlock iPhone 4 Baseband 4.12.01 And iphone 4S Baseband 2.0.10?

This must be a question on everyone’s mind right now, but first I will go through some basics for people who are new to unlocking. The basic rule is “once you upgrade your baseband to iOS 5.1′s 4.12.01 you WON’T be able to downgrade it”. If Apple stops signing a specific firmware version then you won’t be able to downgrade 4.12.01 to lower unlockable basebands like 1.59.00, 2.10, 3.10 or 4.10.01. If you’re currently locked on iOS 5′s baseband 4.11.08 then we strongly recommend you to stick to it because there is a hope for 4.11.08 but 4.12.08 is a fairly new baseband and it would take a lot of time for developers to understand and find a way of going through it.

iPhone 4S users who have already unlocked their iPhones on baseband 1.0.11, 1.0.13 and 1.0.13 using Gevey SIM Ultra S or TP SIM or even R-SIM should stick to those baseband because there is no solution available for iOS 5.1′s baseband 2.0.10.

What should we do to prevent baseband update? 

The answer is pretty simple stay away from iOS 5.1 update. If you restore iOS 5.1 to your iPhone 4S or iPhone 4 it WILL upgrade your baseband.

iOS 5.1 has been jailbroken for non A5 devices but the jailbreak is still tethered and ultrasn0w update is also on it’s way for supported basebands. Remember that updated version of Ultrasn0w will only unlock baseband which are currently supported, no new baseband would be added in iOS 5.1 compatibility update which is due in coming days.

We will keep you updated on this, stay tuned!

Make sure to follow us on Twitter and join our Facebook page for latest news, App reviews, updates and tutorials/How to guides

Article Tags

Related Posts